Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfDuration

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfDuration

    public class OdfDuration

extends Object

DOM implementation of OpenDocument data type 'duration'

Constructor Summary
`OdfDuration(Duration duration)` Construct OdfDuration by the parsing the given string

Method Summary
`Duration` | `getValue()` Returns the value of this OdfDuration object as an Duration
`String` | `toString()` Returns a String Object representing this OdfDuration's value
`static OdfDuration` | `valueOf(String stringValue)` Returns an OdfDuration instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfDuration

    public OdfDuration(Duration duration)

  Construct OdfDuration by the parsing the given string

  Parameters:
    `duration` - The String to be parsed into OdfDuration

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfDuration's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfDuration object

### valueOf

    public static OdfDuration valueOf(String stringValue)

  Returns an OdfDuration instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfDuration instance representing stringValue

### getValue

    public Duration getValue()

  Returns the value of this OdfDuration object as an Duration

  Returns:
    the Duration value of this OdfDuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.